#
# openmamba devel channel configuration for Smart Package Manager
#
if not sysconf.get(("channels", "devel")):
    sysconf.set(("channels", "devel"),
			{"alias": "devel",
			"type": "apt-rpm",
			"name": "base repository [rolling]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel",
			"components": "%ARCH%"})

#
# openmamba devel-games channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "devel-games")):
    sysconf.set(("channels", "devel-games"),
			{"alias": "devel-games",
			"type": "apt-rpm",
			"name": "branch of base repository containing big games [rolling]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-games",
			"components": "%ARCH%"})

#
# openmamba devel-kde4 channel configuration for Smart Package Manager
#
if not sysconf.get(("channels", "devel-kde4")):
    sysconf.set(("channels", "devel-kde4"),
			{"alias": "devel-kde4",
			"type": "apt-rpm",
			"name": "latest kde4 release [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-kde4",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba devel-kernel channel configuration for Smart Package Manager
#
if not sysconf.get(("channels", "devel-kernel")):
    sysconf.set(("channels", "devel-kernel"),
			{"alias": "devel-kernel",
			"type": "apt-rpm",
			"name": "latest kernel release [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-kernel",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba devel-xorg channel configuration for Smart Package Manager
#
if not sysconf.get(("channels", "devel-xorg")):
    sysconf.set(("channels", "devel-xorg"),
			{"alias": "devel-xorg",
			"type": "apt-rpm",
			"name": "latest xorg release [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-xorg",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba devel-gnome channel configuration for Smart Package Manager
#
if not sysconf.get(("channels", "devel-gnome")):
    sysconf.set(("channels", "devel-gnome"),
			{"alias": "devel-gnome",
			"type": "apt-rpm",
			"name": "latest Gnome release [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-gnome",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba devel-misc channel configuration for Smart Package Manager
#
if not sysconf.get(("channels", "devel-misc")):
    sysconf.set(("channels", "devel-misc"),
			{"alias": "devel-misc",
			"type": "apt-rpm",
			"name": "latest miscellaneous releases [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-misc",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba devel-makedist channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "devel-makedist")):
    sysconf.set(("channels", "devel-makedist"),
			{"alias": "devel-makedist",
			"type": "apt-rpm",
			"name": "auxiliary repository for makedist (livecd, flash 1GB) [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-makedist",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba devel-embedded channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "devel-embedded")):
    sysconf.set(("channels", "devel-embedded"),
			{"alias": "devel-embedded",
			"type": "apt-rpm",
			"name": "auxiliary repository for embedded systems [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-embedded",
			"components": "%ARCH%",
			"manual": "yes",
			"disabled": "yes"})

#
# openmamba devel-autodist channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "devel-autodist")):
    sysconf.set(("channels", "devel-autodist"),
			{"alias": "devel-autodist",
			"type": "apt-rpm",
			"name": "auxiliary repository for autodist (automatic builds) [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-autodist",
			"components": "%ARCH%",
			"manual": "yes",
			"disabled": "yes"})

#
# openmamba devel-future channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "devel-future")):
    sysconf.set(("channels", "devel-future"),
			{"alias": "devel-future",
			"type": "apt-rpm",
			"name": "auxiliary repository for not yet integrated new releases [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-future",
			"components": "%ARCH%",
			"manual": "yes",
			"disabled": "yes"})

#
# openmamba devel-past channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "devel-past")):
    sysconf.set(("channels", "devel-past"),
			{"alias": "devel-past",
			"type": "apt-rpm",
			"name": "archive repository for obsoleted and removed packages [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-past",
			"components": "%ARCH%",
			"manual": "yes",
			"disabled": "yes"})

#
# openmamba devel-java channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "devel-java")):
    sysconf.set(("channels", "devel-java"),
			{"alias": "devel-java",
			"type": "apt-rpm",
			"name": "contributed java packages [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-java",
			"components": "%ARCH%",
			"disabled": "yes"})

#
# openmamba devel-contrib channel configuration for Smart Package Manager
#

if not sysconf.get(("channels", "devel-contrib")):
    sysconf.set(("channels", "devel-contrib"),
			{"alias": "devel-contrib",
			"type": "apt-rpm",
			"name": "auxiliary repository for contributors [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-contrib",
			"components": "%ARCH%",
			"manual": "yes",
			"disabled": "yes"})

#
# openmamba devel-kernel-past channel configuration for Smart Package Manager
#
if not sysconf.get(("channels", "devel-kernel-past")):
    sysconf.set(("channels", "devel-kernel-past"),
			{"alias": "devel-kernel-past",
			"type": "apt-rpm",
			"name": "previous kernel release [unstable]",
			"baseurl": "http://cdn.openmamba.org/pub/openmamba/devel-kernel-past",
			"components": "%ARCH%",
			"disabled": "yes"})

import os
import sys
release=os.popen("openmamba-release -c").read()

#if release.startswith('devel'):
for r in ["devel","devel-games","devel-kde4","devel-kernel","devel-xorg","devel-makedist","devel-gnome",\
          "devel-misc","devel-java","devel-embedded","devel-autodist","devel-future","devel-past",
          "devel-contrib","devel-kernel-past"]:
    channel=sysconf.get(("channels", r))
    if channel:
	if channel['baseurl'].startswith('http://www.openmamba.org/'):
		channel['baseurl'] = \
			channel['baseurl'].replace('http://www.openmamba.org/','http://cdn.openmamba.org/')
	channel['fingerprint']='A402 AA41 82DE 06DD 0C82 943A B771 C004 8746 8781'
	sysconf.set(("channels",r),channel)
for r in ["devel","devel-games"]:
    channel=sysconf.get(("channels", r))
    if channel:
	channel['disabled']=False
	sysconf.set(("channels",r),channel)
for r in ["devel-embedded","devel-autodist","devel-future","devel-past","devel-contrib"]:
    channel=sysconf.get(("channels", r))
    if channel:
	channel['manual']=True
	sysconf.set(("channels",r),channel)
for r in ["milestone2","milestone2-games","milestone2-updates","milestone2-makedist",\
          "milestone3","milestone3-games","milestone3-updates","milestone3-makedist",
          "milestone4","milestone4-games","milestone4-updates","milestone4-makedist"]:
    channel=sysconf.get(("channels", r))
    if channel:
	channel['disabled']=True
	sysconf.set(("channels",r),channel)
